#property indicator_chart_window

extern bool SendEmailNotifications = true;
extern bool SendPushNotifications = false;
extern bool SendOpenOrders = true;
extern bool SendCloseOrders = true;
extern bool AlertPopup = true;
extern bool AlertSound = true;
extern bool IncludeCustomMessageBelow = true;
extern string AdditionalCustomMessage = "MA strategy";


datetime dt;
int oldtemp;
int oldhist;
bool dummyResult;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   dt = Time[0];
   oldtemp = 0;
   oldhist = OrdersHistoryTotal();
   Comment("\nNotification Indicator v.1\nby Dworf"); 
   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
 
 
    /////////////////////////////////
   //for opened and pending orders//
   ///////////////////////////////// 
  
   if (oldtemp < OrdersTotal() && SendOpenOrders == true)
   {
      string message;
      string messagecustom;
   
      dummyResult = OrderSelect(OrdersTotal()-1, SELECT_BY_POS);
   
     //BUY
      if(OrderType()==OP_BUY && OrderCloseTime()==0) {
      message="OPEN BUY: "+OrderSymbol()+" ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" price:"+DoubleToStr(OrderOpenPrice(),5)+" equity:"+DoubleToStr(AccountEquity(),2);
      messagecustom="OPEN BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+") ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" price:"+DoubleToStr(OrderOpenPrice(),5)+" equity:"+DoubleToStr(AccountEquity(),2);
         if (SendPushNotifications) {
            if (IncludeCustomMessageBelow) {
               SendNotification(messagecustom);
            } else {
               SendNotification(message);
            }
         }
         if (SendEmailNotifications) {
            if (IncludeCustomMessageBelow) {
               SendMail("OPEN BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               SendMail("OPEN BUY: "+OrderSymbol()+"", message);
            }
         }
         if (AlertPopup) {
            if (IncludeCustomMessageBelow) {
               Alert("OPEN BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               Alert("OPEN BUY: "+OrderSymbol()+"", message);
            }
         }
         if (AlertSound) PlaySound("alert2.vaw");
      }
   
     //SELL
      if(OrderType()==OP_SELL && OrderCloseTime()==0) {
      message="OPEN SELL: "+OrderSymbol()+" ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" price:"+DoubleToStr(OrderOpenPrice(),5)+" equity:"+DoubleToStr(AccountEquity(),2);
      messagecustom="OPEN SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+") ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" price:"+DoubleToStr(OrderOpenPrice(),5)+" equity:"+DoubleToStr(AccountEquity(),2);
         if (SendPushNotifications) {
            if (IncludeCustomMessageBelow) {
               SendNotification(messagecustom);
            } else {
               SendNotification(message);
            }
         }
         if (SendEmailNotifications) {
            if (IncludeCustomMessageBelow) {
               SendMail("OPEN SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               SendMail("OPEN SELL: "+OrderSymbol()+"", message);
            }         }
         if (AlertPopup) {
            if (IncludeCustomMessageBelow) {
               Alert("OPEN SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               Alert("OPEN SELL: "+OrderSymbol()+"", message);
            }
         }
         if (AlertSound) PlaySound("alert2.vaw");
      }
        
   }
      oldtemp = OrdersTotal();
  
  
   ////////////////////////////////
   //for closed or canceled orders//
   ////////////////////////////////

   if (oldhist < OrdersHistoryTotal() && SendCloseOrders == true)
   {
      dummyResult = OrderSelect(OrdersHistoryTotal()-1, SELECT_BY_POS,MODE_HISTORY);
	  
	  //BUY CLOSE
      if(OrderType()==OP_BUY && OrderCloseTime()>0) {
      message="CLOSE BUY: "+OrderSymbol()+" ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" close:"+DoubleToStr(OrderClosePrice(),5)+" profit:"+DoubleToStr(OrderProfit(),2)+" equity:"+DoubleToStr(AccountEquity(),2);
      messagecustom="CLOSE BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+") ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" close:"+DoubleToStr(OrderClosePrice(),5)+" profit:"+DoubleToStr(OrderProfit(),2)+" equity:"+DoubleToStr(AccountEquity(),2);
         if (SendPushNotifications) {
            if (IncludeCustomMessageBelow) {
               SendNotification(messagecustom);
            } else {
               SendNotification(message);
            }
         }
         if (SendEmailNotifications) {
            if (IncludeCustomMessageBelow) {
               SendMail("CLOSE BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               SendMail("CLOSE BUY: "+OrderSymbol()+"", message);
            }
         }
         if (AlertPopup) {
            if (IncludeCustomMessageBelow) {
               Alert("CLOSE BUY: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               Alert("CLOSE BUY: "+OrderSymbol()+"", message);
            }
         }
         if (AlertSound) PlaySound("alert2.vaw");
      }
		
	  //SELL CLOSE	
      if(OrderType()==OP_SELL && OrderCloseTime()>0) {
      message="CLOSE SELL: "+OrderSymbol()+" ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" close:"+DoubleToStr(OrderClosePrice(),5)+" profit:"+DoubleToStr(OrderProfit(),2)+" equity:"+DoubleToStr(AccountEquity(),2);
      messagecustom="CLOSE SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+") ticket:"+OrderTicket()+" size:"+DoubleToStr(OrderLots(),2)+" close:"+DoubleToStr(OrderClosePrice(),5)+" profit:"+DoubleToStr(OrderProfit(),2)+" equity:"+DoubleToStr(AccountEquity(),2);
         if (SendPushNotifications) {
            if (IncludeCustomMessageBelow) {
               SendNotification(messagecustom);
            } else {
               SendNotification(message);
            }
         }	  
         if (SendEmailNotifications) {
            if (IncludeCustomMessageBelow) {
               SendMail("CLOSE SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               SendMail("CLOSE SELL: "+OrderSymbol()+"", message);
            }
         }
         if (AlertPopup) {
            if (IncludeCustomMessageBelow) {
               Alert("CLOSE SELL: "+OrderSymbol()+" ("+AdditionalCustomMessage+")", messagecustom);
            } else {
               Alert("CLOSE SELL: "+OrderSymbol()+"", message);
            }
         }
         if (AlertSound) PlaySound("alert2.vaw");
      }
   }
      oldhist = OrdersHistoryTotal();
 

   
//----
   return(0);
  }
//+------------------------------------------------------------------+